For AI agents: The documentation index is at https://docs.digitalocean.com/llms.txt. Markdown versions of pages use the same URL with index.html.md in place of the HTML page (for example, append index.html.md to the directory path instead of opening the HTML document).
deprecated
Usage
client.registry.get_subscription()
Returns JSONRaises HttpResponseError
Description
Note: This endpoint is deprecated. Please use the /v2/registries endpoint instead.
A subscription is automatically created when you configure your
container registry. To get information about your subscription, send a GET
request to /v2/registry/subscription.
Request Sample
Show Request Sample
import os
from pydo import Client
client = Client(token=os.environ.get("DIGITALOCEAN_TOKEN"))
resp = client.registry.get_subscription()
Response Example
Show Response Example
{
"subscription": {
"tier": {
"name": "Basic",
"slug": "basic",
"included_repositories": 5,
"included_storage_bytes": 5368709120,
"allow_storage_overage": true,
"included_bandwidth_bytes": 5368709120,
"monthly_price_in_cents": 500,
"storage_overage_price_in_cents": 2
},
"created_at": "2020-01-23T21:19:12Z",
"updated_at": "2020-11-05T15:53:24Z"
}
}
See /v2/registry/subscription in the API reference for additional detail on responses, headers, parameters, and more.